[**brk-client**](../README.md)

***

[brk-client](../globals.md) / AverageBlockCumulativeSumPattern

# Interface: AverageBlockCumulativeSumPattern\<T\>

Defined in: [Developer/brk/modules/brk-client/index.js:4563](https://github.com/bitcoinresearchkit/brk/blob/f363f65275d140f73b1a471070edcc576fd24a17/modules/brk-client/index.js#L4563)

## Type Parameters

### T

`T`

## Properties

### average

> **average**: [`_1m1w1y24hPattern`](1m1w1y24hPattern.md)\<`T`\>

Defined in: [Developer/brk/modules/brk-client/index.js:4564](https://github.com/bitcoinresearchkit/brk/blob/f363f65275d140f73b1a471070edcc576fd24a17/modules/brk-client/index.js#L4564)

***

### block

> **block**: [`SeriesPattern18`](../type-aliases/SeriesPattern18.md)\<`T`\>

Defined in: [Developer/brk/modules/brk-client/index.js:4565](https://github.com/bitcoinresearchkit/brk/blob/f363f65275d140f73b1a471070edcc576fd24a17/modules/brk-client/index.js#L4565)

***

### cumulative

> **cumulative**: [`SeriesPattern1`](../type-aliases/SeriesPattern1.md)\<`T`\>

Defined in: [Developer/brk/modules/brk-client/index.js:4566](https://github.com/bitcoinresearchkit/brk/blob/f363f65275d140f73b1a471070edcc576fd24a17/modules/brk-client/index.js#L4566)

***

### sum

> **sum**: [`_1m1w1y24hPattern`](1m1w1y24hPattern.md)\<`T`\>

Defined in: [Developer/brk/modules/brk-client/index.js:4567](https://github.com/bitcoinresearchkit/brk/blob/f363f65275d140f73b1a471070edcc576fd24a17/modules/brk-client/index.js#L4567)
